rhythmbox crashed with SIGSEGV in gst_encoding_target_get_profiles()

Bug #859195 reported by Mike on 2011-09-25
130
This bug affects 22 people
Affects Status Importance Assigned to Milestone
Rhythmbox
Fix Released
Critical
rhythmbox (Ubuntu)
Medium
Unassigned
Oneiric
Medium
Unassigned

Bug Description

crashes when trying to see the properties of the ipod that's connected

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: rhythmbox 2.90.1~20110908-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
Uname: Linux 3.0.0-11-generic i686
NonfreeKernelModules: nvidia
ApportVersion: 1.23-0ubuntu1
Architecture: i386
CrashCounter: 1
Date: Sun Sep 25 15:48:20 2011
ExecutablePath: /usr/bin/rhythmbox
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
ProcCmdline: rhythmbox
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=en_US.UTF-8
SegvAnalysis:
 Segfault happened at: 0x9f8284 <gst_encoding_target_get_profiles+4>: mov 0x1c(%eax),%eax
 PC (0x009f8284) ok
 source "0x1c(%eax)" (0x0000001c) not located in a known VMA region (needed readable region)!
 destination "%eax" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: rhythmbox
StacktraceTop:
 gst_encoding_target_get_profiles () from /usr/lib/libgstpbutils-0.10.so.0
 rb_removable_media_source_get_format_descriptions () from /usr/lib/librhythmbox-core.so.4
 ?? () from /usr/lib/rhythmbox/plugins/ipod/libipod.so
 rb_media_player_source_show_properties () from /usr/lib/librhythmbox-core.so.4
 ?? () from /usr/lib/rhythmbox/plugins/ipod/libipod.so
Title: rhythmbox crashed with SIGSEGV in gst_encoding_target_get_profiles()
UpgradeStatus: Upgraded to oneiric on 2011-09-22 (3 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Mike (mwallace61) wrote :

StacktraceTop:
 gst_encoding_target_get_profiles (target=0x0) at encoding-target.c:174
 rb_removable_media_source_get_format_descriptions (source=0xa29c0b0) at rb-removable-media-source.c:680
 impl_show_properties (source=0xa29c0b0, info_box=0xb2505ed8, notebook=0xa0d8bb8) at rb-ipod-source.c:2089
 rb_media_player_source_show_properties (source=0xa29c0b0) at rb-media-player-source.c:392
 rb_ipod_plugin_cmd_properties (action=0xa45d670, source=0xa29c0b0) at rb-ipod-plugin.c:247

Changed in rhythmbox (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
visibility: private → public
Pedro Villavicencio (pedro) wrote :

Thank you for your bug report. This bug has been reported to the developers of the software. You can track it and make comments at: https://bugzilla.gnome.org/show_bug.cgi?id=662112

Changed in rhythmbox (Ubuntu):
status: New → Triaged
Changed in rhythmbox:
importance: Unknown → Critical
status: Unknown → New
Changed in rhythmbox:
status: New → Invalid
Changed in rhythmbox:
importance: Critical → Unknown
status: Invalid → Unknown
Changed in rhythmbox:
importance: Unknown → Critical
status: Unknown → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rhythmbox - 2.90.1~20111126.89c872b0-0ubuntu1

---------------
rhythmbox (2.90.1~20111126.89c872b0-0ubuntu1) precise; urgency=low

  * Upload the new version to Ubuntu, should solve those issues:
    - the lack of rhythmbox-client command (lp: #875064)
    - the music sharing preferences dialog (lp: #894153)
    - several segfaults (lp: #859195, #814614)
  * debian/control.in:
    - let the rhythmbox gir depends on gir1.2-peas-1.0 (lp: #874973)

  [ Rico Tzschichholz ]
  * New upstream git snapshot
 -- Sebastien Bacher <email address hidden> Mon, 05 Dec 2011 19:31:23 +0100

Changed in rhythmbox (Ubuntu):
status: Triaged → Fix Released
Lee Garrett (leegarrett) wrote :

Any chance we can cherry-pick that bugfix for oneiric? This one is quite annoying since it stops you from syncing with your media player.

Pedro Villavicencio (pedro) wrote :

that'd be nice to have in Oneiric, lets create a task for it.

Changed in rhythmbox (Ubuntu Oneiric):
status: New → Triaged
importance: Undecided → Medium

Here is an Oneiric debdiff cherry-picking the upstream patch that fixes this bug.

Hope this helps.

Hi,

Sebastien, I subscribed you as you seem to be the one handling RB uploads.

Thanks

Martin Pitt (pitti) wrote :

Uploaded, thanks! Unsubscribing sponsors.

Changed in rhythmbox (Ubuntu Oneiric):
status: Triaged → Fix Committed

Hello Mike, or anyone else affected,

Accepted rhythmbox into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Alex Moldovan (alexmoldovan) wrote :

UPDATE: Tested Rhythmbox 2.90.1 and 2.95 using the following:
Bus 001 Device 003: ID 05ac:1301 Apple, Inc. iPod Shuffle 2.Gen
Bus 001 Device 007: ID 0781:74d1 SanDisk Corp. Sansa Clip+ (msc)

iPod Shuffle: (see screenshot)
-in both rhythmbox versions, the ipod is not shown in Rhythmbox but it is reported as having 0 space left, 0 bytes Music, 0 bytes for everything -> not usable. The iPod has a few songs on it which are not seen.

Sansa Clip+:
(MTP mode):
-working in 2.90.1 but playlists do now show on the device after sync, only the music copied from the playlists.
-segfaults in 2.95
(MSC mode):
-working in 2.90.1 playlists showing on the device
-working in 2.95 playlists showing on the device

Alex Moldovan (alexmoldovan) wrote :
Chris J Arges (arges) wrote :

I can verify the -proposed package works using an iPod classic.
Thanks

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rhythmbox - 2.90.1~20110908-0ubuntu1.3

---------------
rhythmbox (2.90.1~20110908-0ubuntu1.3) oneiric-proposed; urgency=low

  * debian/patches/07_fix-859195.patch: Cherry-pick upstream commit
    to fix a crash (LP: #859195)
 -- Colin Leroy <email address hidden> Tue, 10 Jan 2012 11:29:24 +0100

Changed in rhythmbox (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Jussi (jrsvensson) wrote :

I have an iPhone 3G, Rhythmbox 2.96 and Ubuntu 12.04, and it's not working for me.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.